/*
Odometer script by Memory
Revised by AnotherFoxGuy

ChangeLog

V 1.0
* Initial version

V 1.1
* More precision (now only +/- 10 meters)
* The odometer measures also the distance driving backwards (it doesn't subtract value anymore)
* "Real-time"

V 1.2 (AnotherFoxGuy)
* Fixed the broken script.
* Cleaned-up the script.
* added miles



It can be used as simple tutorial ;)


*/


//Change this to true if you want to use miles instead of kilometres.
bool MILES = false;


float distance;


void main()
{
    game.log("Odometer script by Memory started!");
	game.registerForEvent(SE_TRUCK_EXIT);	
}

string format_distance(int format_distance)
{
	if(!MILES)
	{
		if (format_distance>1000)
		{
			return format_distance/1000.0 +" Kilometres";
		}
		else
		{
			return format_distance+" Meters";
		}
	}
	else
	{
		if (format_distance>1609)
		{
			return format_distance/1609.344 +" Miles";
		}
		else
		{
			return format_distance/0.3048+" ft";
		}
	}
}
void frameStep(float dt)
{
    if (game.getCurrentTruckNumber() >= 0)
    {

		BeamClass @CurrentTruck = game.getCurrentTruck();
        distance += abs(CurrentTruck.getWheelSpeed())*dt;
		game.updateDirectionArrow(format_distance(distance), vector3(game.getCameraPosition()));
    }
}


void eventCallback(int eventnum, int value)
{
	game.hideDirectionArrow();	
}

